LINUX.ORG.RU

Вышел Debian 6.0 Squeeze

 ,


0

2

Вышел новый стабильный выпуск одного из старейших дистрибутивов Linux — Debian 6.0 Squeeze. Основные изменения:

  • Инфраструктура Debian:
    • backports.org теперь является частью основного проекта (backports.debian.org).
  • Структура ОС:
    • переработан установщик;
    • dash теперь устанавливается по умолчанию и является обязательным;
    • используется новый загрузчик GRUB 2, старый GRUB доступен в пакете grub-legacy;
    • загрузка ускорена с помощью insserv и параллельного запуска служб на основе их зависимостей;
    • в dpkg добавлена поддержка компрессии xz, проведены оптимизации по ускорению работы с базой данных, а также произведена отвязка от perl;
    • соответствие стандартам FHS 2.3 и LSB 3.2;
    • полностью свободное ядро Linux без закрытых и несвободных прошивок (перенесены в non-free);
    • более 10 000 новых пакетов — теперь общее число пакетов достигло 29 000 (собраны из 15 000 пакетов с исходными кодами), около 60% пакетов обновлены, некоторые пакеты были удалены;
    • в качестве технического обзора в дистрибутив включены два ядра FreeBSD, работающие с пакетами Debian: kfreebsd-i386 и kfreebsd-amd64.
  • ПО, включённое в выпуск:
    • ядро Linux 2.6.32 с поддержкой ext4 и KMS;
    • GNOME 2.30 с некоторыми частями GNOME 2.32;
    • KDE 4.4.5;
    • Xorg 7.5;
    • OpenOffice 3.2;
    • Python 2.6.6;
    • Samba 3.5.5;
    • Tomcat 6.0.28.

>>> Подробности

★★★★★

Проверено: svu ()

Ответ на: комментарий от Zubok

glibc обновилось до eglibc 2.11, поставился python 3.1, что-то ещё обновилось, но никаких проблем с остальным софтом выявлено не было. Одна проблема - eglibc нужно было обновлять из testing, а остальную систему - из lenny. В итоге вся система переехала на Squeeze, но пока была Lenny - проблем не было.

В Debian проблемы обычно выявляются на этапе зависимостей, плохое он просто не даст поставить.

anonymous ()
Ответ на: комментарий от muzlocker

> в debian 29000 пакетов и нет нормальных свежих кед

А зачем они нужны в Debian? Если они даже для Experimental оказались неподходящими. :)

anonymous ()
Ответ на: комментарий от anonymous

>В Debian проблемы обычно выявляются на этапе зависимостей, плохое он просто не даст поставить.

Запросто даст. Например, ограничения >= на версию. Сопровождающий может ограничение в debian/control сохранить, но бинарь он же собирает с новыми библиотеками, совершенно не подозревая о том, что в старых библиотеках может быть API чуть другой. А вот glibc как раз создает меньше проблем с совместимостью. Если пакет просит совсем новую glibc, то можно поробовать этот бинарь распаковать, снять ограничение в debian/control и запаковать назад. Ставить тогда из локального репозитория или напрямую через dpkg.

Zubok ★★★★★ ()
Ответ на: комментарий от SEV

>Иконки - Faenza. Я их поставил.

Как ты их не назови, а Айфонисто до ужаса ((( особенно иконка с шестеренками - прямо с айфона слизана (((

anonymous ()
Ответ на: комментарий от Zubok

>> В Lenny этого не было.

gnome-app-install. software-center как раз его и заменяет.

GotF ★★★★★ ()

>в качестве технического обзора в дистрибутив включены два ядра FreeBSD

Лучше бы HURD пилили.

anonymous ()
Ответ на: комментарий от anonymous

Ну что ж ты не пилишь? Бери и пили. Покажи всем каким должно быть истинное ядро.

anonymous ()

пффф... что-то у дебианщиков с зеркалами все так плохо

DE зеркало

Preparing to replace debconf-i18n 1.5.24 (using .../debconf-i18n_1.5.36.1_all.deb) ...
Unpacking replacement debconf-i18n ...
dpkg: error processing /var/cache/apt/archives/debconf-i18n_1.5.36.1_all.deb (--unpack):
unable to open '/usr/share/man/de/man1/debconf-escape.1.gz.dpkg-new': No such file or directory
configured to not write apport reports
Errors were encountered while processing:
/var/cache/apt/archives/debconf-i18n_1.5.36.1_all.deb


ок... сменила на FI, ладно, с debconf проехали... зато теперь
dpkg: error processing /var/cache/apt/archives/sensible-utils_0.0.4_all.deb (--unpack):
unable to open '/usr/share/man/pl/man1/sensible-editor.1.gz.dpkg-new': No such file or directory
Errors were encountered while processing:
/var/cache/apt/archives/sensible-utils_0.0.4_all.deb
configured to not write apport reports
E: Sub-process /usr/bin/dpkg returned an error code (1)


Sylvia ★★★★★ ()
Ответ на: комментарий от Sylvia

извините, но зеркала тут вовсе не при делах - это у вас что-то.

maloi ★★★★★ ()
Ответ на: комментарий от maloi

«что-то» это хорошее обьяснение , да, вероятно карма, раз уж меня угораздило попасть на одном зеркале на нераспаковывающийся пакет, при этом на другом зеркале он оказался нормальным, но зато другой пакет не распаковался ...

Sylvia ★★★★★ ()
Ответ на: комментарий от Sylvia

Да это бинго - дважды попасть на обновление зеркала:)

Pavval ★★★★★ ()
Ответ на: комментарий от Pavval

вообще-то обновление зеркала не дает нераспаковывающегося пакета.
потому что при правильном обновлении зеркала
1) сначала скачиваются все отсутсвующие пакеты.
2) обновляются списки пакетов.
3) удаляется ненужное.
проблемы могут возникнуть если попасть на момент 2) - когда список пакетов уже обновился, а подпись - ещё нет или наоборот.

если пакет не распаковался, то это либо проблемы локальные (например с фс или памятью), либо с пакетным менеджером, который после скачивания не проверил суммы (а их для каждого пакета целых три - md5, sha1, sha256).

maloi ★★★★★ ()

Долго еще ждать разморозки?

Где-то прочел,что после разморорозки появятся и кеды 4.6 и ксорг 1.9.3

muzlocker ()
Ответ на: комментарий от Sylvia

а вы скачайте его с ручками и проверьте, что он действительно не распаковывается, а то языком трепать каждый может бездоказательно.

maloi ★★★★★ ()
Ответ на: комментарий от muzlocker

>Где-то прочел,что после разморорозки появятся и кеды 4.6 и ксорг 1.9.3

Кеды сейчас WIP, появятся сначала на полуофициальных репах (где заменят 4.5), а потом пойдут в experimental. Инфа официальная.

Pavval ★★★★★ ()
Ответ на: комментарий от Sylvia

А причём здесь вообще зеркала?

А неисправных зеркал в ветке ftp.*.debian.org за годы не помню ни одного, хотя регулярно с ними синкаюсь.

anonymous ()
Ответ на: комментарий от maloi

> проблемы могут возникнуть если попасть на момент 2) - когда список пакетов уже обновился, а подпись - ещё нет или наоборот.

Если содержимое Packaeges не соответствует хэшу в Release, то никаких пакетов вообще не появится.

либо с пакетным менеджером, который после скачивания не проверил суммы (а их для каждого пакета целых три - md5, sha1, sha256).

Кстати, мне тоже интересно, это как надо обновлять, чтобы пакет прошёл проверку на хэш, но сломался при dpkg? С помощью wget && dpkg -i, что-ли? :)

anonymous ()
Ответ на: комментарий от anonymous

> Лучше бы HURD пилили.

hurd в sid есть. Вообще, планировалось, что первым не-linux официальным ядром будет Hurd... но, видимо, в визи. :)

anonymous ()
Ответ на: комментарий от maloi

ок, ЧЯНТД?


редактирую sources.list lenny -> squeeze

#nano /etc/apt/sources.list

deb http://security.debian.org/ squeeze/updates main contrib non-free
deb http://ftp.de.debian.org/debian squeeze main contrib non-free
deb http://ftp.de.debian.org/debian-security squeeze/updates main contrib non-free
deb-src http://security.debian.org/ squeeze/updates main contrib non-free
deb-src http://ftp.de.debian.org/debian squeeze main contrib non-free


#apt-get update
без ошибок, скачала новые списки

обновляю пакетный менеджер и его зависимости
#apt-get install apt dpkg

30 Мб пакетов скачано и обновлено

#apt-get dist-upgrade
пытаюсь обновить все остальное, еще около 400 Мб пакетов (это сервер, установлено только самое нужное)

сообщения об ошибках есть выше.
Проблемы с памятью или ФС исключены. Между обновлением списка и скачиванием пакетов времени прошло минимум. Скачалось все 400 Kb/s - 3 Mb/s c DE зеркала достаточно быстро.


PS: чего дебианщики такие злые когда речь заходит о глюках в их дистрибутиве ?




Sylvia ★★★★★ ()
Ответ на: комментарий от Sylvia

PS: мне на продакшен сервере downtime не нужен лишний.

Sylvia ★★★★★ ()
Ответ на: комментарий от Sylvia

> PS: чего дебианщики такие злые когда речь заходит о глюках в их дистрибутиве ?

Млять да добрые мы, это просто млять физически невозможно, чтобы apt-get пропустил битый пакет, а потом при dpkg внезапно оказалось, что он битый - этот пакет сразу бы завернул apt-get, и перекачал бы заново.

У некоторых тут апт-гет-апгрейдов было больше, чем у среднего кролика в жизни сеансов маленьких удовольствий. И, млять, ничего похожего.

Что школьники такие злые, когда начинаешь вести речь о том, что в Debian глюков практически нет?

anonymous ()
Ответ на: комментарий от anonymous

>в Debian глюков практически нет

слушай, расскажи эту сказку какому-нибудь наивному ребёнку

Jihad ()
Ответ на: комментарий от Jihad

> слушай, расскажи эту сказку какому-нибудь наивному ребёнку

Я не про кривые кеды и их кривых пользователей. Я про то, что куда не попробуй шаг в сторону сделать - всё уже продумано, все защитные организмы самоизлечиваются. И если что-то просочилось сквозь них - значит это уже нужно не лечением заниматься, а рамку на кладбище заказывать.

anonymous ()
Ответ на: комментарий от Sylvia

>PS: чего дебианщики такие злые когда речь заходит о глюках в их дистрибутиве ?

Я, например, очень добрый. :)

Zubok ★★★★★ ()
Ответ на: комментарий от Zubok

может быть )
в любом случае, я не подстроила эту ситуацию, сервер уже пережил обновление с debian etch до lenny , правда обновляла я его тогда, когда уже был анонс EOL etch'a, не знаю какое шило сегодня меня ткнуло обновляться до squeeze
в любом случае тут в комментариях похоже сообщение о глюках при обновлении вызывает только фанатичную агрессию...

Sylvia ★★★★★ ()
Ответ на: комментарий от Sylvia

сделал apt-get update и apt-get dist-upgrade, с волнением смотрел как все взлетело после reboot

VladimirMalyk ★★★★★ ()
Ответ на: комментарий от Sylvia

у вас каждый раз происходят происходят затыки на распаковке иностранных man-ов,
похоже кто-то «оптимизировал» сервер и снес все лишние маны и поддиректории для них.

elipse ★★★ ()
Ответ на: комментарий от elipse

ну кроме меня это навряд ли кто может снести, хотя может быть я и пыталась это сделать когда-то очень давно

каталоги есть:
/usr/share/man #ls
cs es fi gl id ja man1 man3 man5 man8 pl pt_BR sr tr zh_CN
de es.UTF-8 fr hu it ko man2 man4 man6 nl pt ru sv vi zh_TW

Sylvia ★★★★★ ()
Ответ на: комментарий от Sylvia

>ок, ЧЯНТД?
начинаешь винить зеркала, даже не подумав разобраться в чем дело.

maloi ★★★★★ ()
Ответ на: комментарий от maloi

ну и в чем тут, по-вашему, может быть ошибка ?
хотя.. не думаю что вы мне что-либо расскажете интересного, ведь в дебиане ошибок просто нет , потому что их быть не может...

Sylvia ★★★★★ ()
Ответ на: комментарий от Sylvia

xм, я понизил на своем squeeze версию debconf-i18n до lenny

и далее:

apt-get upgrade
Чтение списков пакетов... Готово
Построение дерева зависимостей
Чтение информации о состоянии... Готово
Пакеты, которые будут обновлены:
debconf-i18n
обновлено 1, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.
Необходимо скачать 0 B/210 kB архивов.
После данной операции, объём занятого дискового пространства возрастёт на 111 kB.
Хотите продолжить [Д/н]? y
Чтение журнала изменений... Выполнено
(Чтение базы данных ... на данный момент установлено 270074 файла и каталога.)
Подготовка к замене пакета debconf-i18n 1.5.24 (используется файл .../debconf-i18n_1.5.36.1_all.deb) ...
Распаковывается замена для пакета debconf-i18n ...
Обрабатываются триггеры для man-db ...
Настраивается пакет debconf-i18n (1.5.36.1) ...



elipse ★★★ ()
Ответ на: комментарий от Sylvia

>не знаю какое шило сегодня меня ткнуло обновляться до squeeze

А я вот предусмотрительно не стал домашний десктоп обновлять с Lenny, потому что в первые дни после релиза обновлять боевые машины рисковано, да и реликтовые костыли надо переписать, да и рабочий процесс идет — рисковано обновляться. Я даже удивился, что все с такой скоростью рванули агрейдится в первые же моменты. Тем более не ожидал, что ты в первых рядах будешь. :)

Zubok ★★★★★ ()
Ответ на: комментарий от Sylvia

Перестаньте паясничать. Ошибок нет только у тех, кто ничего не делает. Вот вы например пока не допускали ошибок, потому как ничего не сделали для того чтобы помочь себе - только выдали парочку ничем не обоснованных предположений.

maloi ★★★★★ ()
Ответ на: комментарий от Zubok

я домашний десктоп обновил где-то месяц назад.
не считая того что в процессе обновления выключился hostapd и пропал wi-fi, по которому я делал обновление никаких проблем не было.

maloi ★★★★★ ()
Ответ на: комментарий от Zubok

ну я вообще-то и не собиралась, в принципе у меня сервер уже достаточно давно LFS/Gentoo , в своем префиксе живет, мне так удобно, от дебиана только пакетный менеджер, всякая мелочь, ну и sshd, crond, vsftpd , поэтому от обновления системы я подлостей сильно не ждала, обновляться там особенно нечему

а с манами.. наверное карма, при обновлении с этча до ленни man-db сглючил тогда еще, сьедал всю память и падал, пришлось его просто удалить , вместе с man-pages кажется )

экспериментировать снова с обновлениями пока не стану, не резон, как-нибудь потом, а то итак сервер «как веник» летать стал с моими экспериментами. Пусть будет OLDstable, хотя вот это OLD мне как раз и не нравится

Sylvia ★★★★★ ()
Ответ на: комментарий от Sylvia

у меня тоже с дебианом постоянно какие-то стычки были во время обновлений

наверное карма

дебианщики с плохой кармой становятся гентушниками

Jihad ()
Ответ на: комментарий от Jihad

ну так! три сервера с гентой, ноут и десктоп...
один сервер с дебианом остался )

Sylvia ★★★★★ ()
Ответ на: комментарий от Sylvia

>а с манами.. наверное карма, при обновлении с этча до ленни man-db сглючил тогда еще, сьедал всю память и падал, пришлось его просто удалить , вместе с man-pages кажется )

ну вот, вы в прошлый раз проигнорировали проблему, решив её каким-то извращенным методом, забыли про неё, а теперь пытаетесь свалить все на глюки дистрибутива. впрочем, с таким подходом у вас любой дистрибутив будет глючить, а виновными опять же окажутся ментейнеры (хотя багрепорта от вас ни в прошлый, ни в этот раз - не дождутся, естественно).

maloi ★★★★★ ()
Ответ на: комментарий от maloi

а кто ж виноват, что дебиан такой неженка и требует столько внимания к себе

с гентой я вон чего только ни вытворяю - работает, собака, как трактор

Jihad ()
Ответ на: комментарий от Jihad

вы не поверите, но я тоже много чего с debian-ом вытворяю, но если внезапно что-то перестает работать, то не откладываю это на годы, а пытаюсь решить как можно скорее.

maloi ★★★★★ ()
Ответ на: комментарий от maloi

извините. у меня нет желания с вами это обсуждать, от вас только фанатизм и агрессия, простите, но вы позорите сообщество пользователей debian подобным отношением.

дистрибутива где бы не было ошибок совсем - нет,
а обвинять других - проще всего, фанатейте дальше. всего хорошего.

Sylvia ★★★★★ ()
Ответ на: комментарий от Jihad

ой блин, да сделайте уже:

#сd /var/cache/apt/archives

#dpkg -i --force-all *.deb

не, разговоров будет полные штаны.))

elipse ★★★ ()
Ответ на: комментарий от Jihad
cd /var/cache/apt/archives
bash: cd: /var/cache/apt/archives: Нет такого файла или каталога
Jihad ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.